com.fasterxml.jackson.databind.util

## Class ViewMatcher

- java.lang.Object
- - com.fasterxml.jackson.databind.util.ViewMatcher

    public abstract class ViewMatcher
    extends Object

Helper class used for checking whether a property is visible in the active view

### Constructor Summary

Constructors
Constructor and Description
`ViewMatcher()`

### Method Summary

Methods
`static ViewMatcher` `construct(Class<?>[] views)`
`abstract boolean` `isVisibleForView(Class<?> activeView)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewMatcher

    public ViewMatcher()

### Method Detail

#### isVisibleForView

    public abstract boolean isVisibleForView(Class<?> activeView)

#### construct

    public static ViewMatcher construct(Class<?>[] views)